CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TextTestProgressListener Class Reference
[Tracking test execution]

TestListener that show the status of each TestCase test result. More...

`#include <TextTestProgressListener.h>`

Inheritance diagram for TextTestProgressListener:

[legend]
Collaboration diagram for TextTestProgressListener:

[legend]
List of all members.

## Public Member Functions
| TextTestProgressListener ()
virtual | ~TextTestProgressListener ()
| Destructor.
void | startTest (Test *test)
| Called when just before a TestCase is run.
void | addFailure (const TestFailure &failure)
| Called when a failure occurs while running a test.
void | endTestRun (Test *test, TestResult *eventManager)
| Called by a TestRunner after running the test.
## Private Member Functions
| TextTestProgressListener (const TextTestProgressListener &copy)
| Prevents the use of the copy constructor.
void | operator= (const TextTestProgressListener &copy)
| Prevents the use of the copy operator.

## Detailed Description

TestListener that show the status of each TestCase test result.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TextTestProgressListener::TextTestProgressListener | ( |  | ) |

Constructs a TextTestProgressListener object.

TextTestProgressListener::~TextTestProgressListener | ( |  | ) | `[virtual]`

Destructor.

TextTestProgressListener::TextTestProgressListener | ( | const TextTestProgressListener & | copy | ) | `[private]`

Prevents the use of the copy constructor.

## Member Function Documentation

void TextTestProgressListener::startTest | ( | Test * |  | ) | `[virtual]`

Called when just before a TestCase is run.

Reimplemented from TestListener.

void TextTestProgressListener::addFailure | ( | const TestFailure & |  | ) | `[virtual]`

Called when a failure occurs while running a test.

See also:
  TestFailure.

Warning:
  failure is a temporary object that is destroyed after the method call. Use TestFailure::clone() to create a duplicate.

Reimplemented from TestListener.

void TextTestProgressListener::endTestRun | ( | Test * | ,
|  | TestResult * |  |
| ) |  |  | `[virtual]`

Called by a TestRunner after running the test.

TextTestProgressListener use this to emit a line break. You can also use this to do some global uninitialisation.

Parameters:

  | test | Test that was run.
  | eventManager | Event manager used for the test run.

Reimplemented from TestListener.

void TextTestProgressListener::operator= | ( | const TextTestProgressListener & | copy | ) | `[private]`

Prevents the use of the copy operator.

The documentation for this class was generated from the following files:

- TextTestProgressListener.h
- TextTestProgressListener.cpp

| hosts this site. |  | Send comments to: CppUnit Developers